=== debian/changelog ===
lomiri-history-service (0.4-2) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml.

  [ Mike Gabriel ]
  * debian/control:
    + Update Vcs-*: fields with new DEB src:pkg name.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Jan 2023 20:31:04 +0100

lomiri-history-service (0.4-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1028588).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2023 13:07:03 +0100
