=== debian/control ===
Source: lomiri-history-service
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               cmake-extras,
               dbus-test-runner,
               debhelper-compat (= 13),
               dconf-cli,
               gnome-keyring,
               libphonenumber-dev,
               libqt5sql5-sqlite,
               libsqlite3-dev,
               libtelepathy-qt5-dev,
               pkg-config,
               qtbase5-dev (>= 5.0),
               qtdeclarative5-dev (>= 5.0),
               qtpim5-dev (>= 5),
               sqlite3,
               telepathy-mission-control-5,
               lcov,
               gcovr,
               xauth,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/history-service/
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-history-service/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-history-service.git

Package: lomiri-history-service
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5sql5-sqlite,
Description: History service to store messages and calls
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains the history service daemon that watches for Telepathy
 events and stores.

Package: lomiri-history-service-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: lomiri-history-service (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: History service to store messages and calls - tools
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains some tools to be used with the history service.

Package: libhistoryservice0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: History service to store messages and calls - client library
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains the client library to access the data stored by the
 history service.

Package: qml-module-lomiri-history
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: History service to store messages and calls - QML plugin
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains a QML plugin that provides data models to access the
 data stored by the history service.

Package: libhistoryservice-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libhistoryservice0 (= ${binary:Version}),
         ${misc:Depends},
Description: History service to store messages and calls - development files
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains the development files for the history service client
 library.
