## lomiri-history-service 0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(history-service VERSION 0.4 LANGUAGES CXX)
+project(history-service VERSION 0.5 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # Standard install paths
@@ -79,12 +79,17 @@
 
 add_definitions(-std=c++11)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Werror")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall")
 # TODO remove the need for -Wno-unused-variable
 # unused-variable currently fails because of public headers includes static char's
 # there is also a gcc bug that makes it not possable to rely on diagnostic pragmas
 # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=69967
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wno-unused-variable")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-unused-variable")
+
+option(ENABLE_WERROR "Treat all build warnings as errors" ON)
+if(ENABLE_WERROR)
+    add_compile_options(-Werror)
+endif()
 
 # Define the version to be used in the library
 set(HISTORY_VERSION_MAJOR 0)
