=== tests/CMakeLists.txt ===
include (GenerateTest)

add_subdirectory(common)
add_subdirectory(daemon)
add_subdirectory(libhistoryservice)
add_subdirectory(plugins)
add_subdirectory(Lomiri.History)
