=== tools/CMakeLists.txt ===
add_subdirectory(reader)
add_subdirectory(maketextevents)
add_subdirectory(makevoiceevents)
