=== debian/changelog ===
lomiri-history-service (0.5-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:39:15 +0000

lomiri-history-service (0.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:58:21 +0000

lomiri-history-service (0.5-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:45:02 +0000

lomiri-history-service (0.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 22:57:27 +0100
