=== debian/watch ===
version=4
https://gitlab.com/ubports/core/history-service/tags .*/history-service-(\d\S+)\.tar\.gz
