## lomiri-history-service 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(history-service VERSION 0.5 LANGUAGES CXX)
+project(lomiri-history-service VERSION 0.6 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # Standard install paths
@@ -18,6 +18,7 @@
 find_package(Qt5Quick)
 find_package(Qt5Test)
 find_package(Qt5Network)
+find_package(Qt5Sql)
 find_package(LibPhoneNumber REQUIRED)
 
 include(qt5)
@@ -43,11 +44,15 @@
     set(QT_INSTALL_QML "/usr/lib/${CMAKE_LIBRARY_ARCHITECTURE}/qt5/qml")
 endif()
 
+option(USE_SYSTEMD "Install systemd service" ON)
+
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(TP_QT5 REQUIRED TelepathyQt5)
 pkg_check_modules(SQLITE3 REQUIRED sqlite3)
 pkg_check_modules(QTGLIB QtGLib-2.0)
-pkg_check_modules(SYSTEMD REQUIRED systemd)
+if(USE_SYSTEMD)
+    pkg_check_modules(SYSTEMD REQUIRED systemd)
+endif()
 
 find_program(DBUS_RUNNER dbus-test-runner)
 
@@ -63,7 +68,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}
     )
 
-set(HISTORY_PLUGIN_PATH ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/plugins)
+set(HISTORY_PLUGIN_PATH ${CMAKE_INSTALL_FULL_LIBDIR}/${PROJECT_NAME}/plugins)
 set(TEST_DATA_DIR "${CMAKE_SOURCE_DIR}/tests/data")
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
 
@@ -75,9 +80,18 @@
     set_property(DIRECTORY ${CMAKE_SOURCE_DIR} PROPERTY COVERAGE_TARGETS ${COVERAGE_TARGETS})
 endfunction()
 
-enable_testing()
+include(CTest)
 
-add_definitions(-std=c++11)
+set(CMAKE_CXX_STANDARD 17)
+set(CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
+
+# Telepathy-Qt will cause some warnings with C++17 due to the use of the
+# removed `register` storage specifier. Mute them for now.
+# https://github.com/TelepathyIM/telepathy-qt/issues/39
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-register")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-register")
+
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall")
 # TODO remove the need for -Wno-unused-variable
@@ -102,7 +116,9 @@
 add_subdirectory(plugins)
 add_subdirectory(tools)
 add_subdirectory(Lomiri)
-add_subdirectory(tests)
+if(BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
 
 find_package(CoverageReport)
 # Coverage
