=== src/CMakeLists.txt ===
--- 
+++ 
@@ -93,19 +93,18 @@
                     ${LibPhoneNumber_INCLUDE_DIRS}
                     ${TP_QT5_INCLUDE_DIRS})
 
-add_library(historyservice SHARED ${library_SRCS} ${library_HDRS} ${library_PRIV_HDRS})
+add_library(lomirihistoryservice SHARED ${library_SRCS} ${library_HDRS} ${library_PRIV_HDRS})
 
 # Set the library version and the SOVERSION
-set_target_properties(historyservice PROPERTIES
+set_target_properties(lomirihistoryservice PROPERTIES
                       SOVERSION ${HISTORY_VERSION_MAJOR}
                       VERSION ${HISTORY_VERSION_MAJOR}.${HISTORY_VERSION_MINOR}.${HISTORY_VERSION_PATCH})
 
-target_link_libraries(historyservice ${LibPhoneNumber_LIBRARIES} ${TP_QT5_LIBRARIES})
-qt5_use_modules(historyservice Contacts Core DBus)
+target_link_libraries(lomirihistoryservice ${LibPhoneNumber_LIBRARIES} ${TP_QT5_LIBRARIES} Qt5::Contacts Qt5::Core Qt5::DBus)
 
-install(TARGETS historyservice DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(TARGETS lomirihistoryservice DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
-set(INCLUDE_INSTALL_DIR include/${PROJECT_NAME})
+set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${PROJECT_NAME})
 install(FILES ${library_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/History)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc)
