=== Lomiri/History/CMakeLists.txt ===
--- 
+++ 
@@ -34,14 +34,16 @@
     ${CMAKE_SOURCE_DIR}/src
     )
 
-add_library(history-qml MODULE ${plugin_SRCS} ${plugin_HDRS})
+add_library(lomirihistory-qml MODULE ${plugin_SRCS} ${plugin_HDRS})
 
-qt5_use_modules(history-qml Contacts Core Qml Quick)
-
-target_link_libraries(history-qml
-    historyservice
+target_link_libraries(lomirihistory-qml
+    Qt5::Contacts
+    Qt5::Core
+    Qt5::Qml
+    Qt5::Quick
+    lomirihistoryservice
     )
 
 set(PLUGIN_DIR ${QT_INSTALL_QML}/Lomiri/History)
-install(TARGETS history-qml DESTINATION ${PLUGIN_DIR})
+install(TARGETS lomirihistory-qml DESTINATION ${PLUGIN_DIR})
 install(FILES qmldir DESTINATION ${PLUGIN_DIR})
