=== tests/Lomiri.History/CMakeLists.txt ===
--- 
+++ 
@@ -40,11 +40,11 @@
     )
 generate_test(HistoryGroupedThreadsModelTest
               SOURCES ${HistoryGroupedThreadsModelTest_SOURCES}
-              LIBRARIES historyservice
-              QT5_MODULES Core Qml Test
+              LIBRARIES lomirihistoryservice
+              QT5_MODULES Qt5::Core Qt5::Qml Qt5::Test
               USE_DBUS
               USE_XVFB
-              TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
+              TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
               WAIT_FOR com.lomiri.HistoryService)
 set(HistoryManagerTest_SOURCES
   ${HistoryQml_SOURCES}
@@ -52,11 +52,11 @@
   )
 generate_test(HistoryManagerTest
             SOURCES ${HistoryManagerTest_SOURCES}
-            LIBRARIES historyservice
-            QT5_MODULES Core Qml Test
+            LIBRARIES lomirihistoryservice
+            QT5_MODULES Qt5::Core Qt5::Qml Qt5::Test
             USE_DBUS
             USE_XVFB
-            TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
+            TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
             WAIT_FOR com.lomiri.HistoryService)
 
 set(HistoryEventModelTest_SOURCES
@@ -65,7 +65,7 @@
     )
 generate_telepathy_test(HistoryEventModelTest
                         SOURCES ${HistoryEventModelTest_SOURCES}
-                        LIBRARIES ${TP_QT5_LIBRARIES} mockcontroller telepathytest historyservice
+                        LIBRARIES ${TP_QT5_LIBRARIES} mockcontroller telepathytest lomirihistoryservice
                         USE_XVFB
-                        TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
+                        TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
                         WAIT_FOR com.lomiri.HistoryService)
