=== tools/maketextevents/CMakeLists.txt ===
set(maketextevents_SRCS main.cpp)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    )

add_executable(lomiri-history-maketextevents ${maketextevents_SRCS})

target_link_libraries(lomiri-history-maketextevents Qt5::Core lomirihistoryservice)
install(TARGETS lomiri-history-maketextevents RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
