=== debian/changelog ===
lomiri-history-service (0.6-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Oct 2024 00:27:16 +0200

lomiri-history-service (0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Adjust to project renamings since v0.6 upstream.
  * debian/patches:
    + Drop 1001_bump-to-c++17.patch. No needed anymore.
    + Add 1001_qtcontacts-sqlite-backend.patch and 1002_no-need-for-abook-
      service-anymore.patch. Prepare for new QtContacts-Sqlite abook backend.
  * debian/control:
    + Add to D: (liblomirihistoryservice0): libqt5contact5-plugin-sqlite.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Oct 2024 10:15:05 +0200

lomiri-history-service (0.5-3) unstable; urgency=medium

  * debian/control:
    + Add to B-D: systemd-dev. (Closes: #1072595).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Jun 2024 18:56:35 +0200

lomiri-history-service (0.5-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 1001_bump-to-c++17.patch. Cherry-picked from upstream MR !35.
      (Closes: #1068613).
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Apr 2024 08:44:16 +0200
