=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-history-service
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,
@@ -16,7 +15,7 @@
                libqt5sql5-sqlite,
                libsqlite3-dev,
                libtelepathy-qt5-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev (>= 5.0),
                qtdeclarative5-dev (>= 5.0),
                qtpim5-dev (>= 5),
@@ -24,11 +23,12 @@
                telepathy-mission-control-5,
                lcov,
                gcovr,
+               systemd-dev,
                xauth,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/development/core/history-service/
+Homepage: https://gitlab.com/ubports/development/core/lomiri-history-service/
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-history-service/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-history-service.git
 
@@ -58,11 +58,12 @@
  .
  This package contains some tools to be used with the history service.
 
-Package: libhistoryservice0
+Package: liblomirihistoryservice0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         libqt5contact5-plugin-sqlite,
 Description: History service to store messages and calls - client library
  A service to record the messages that are sent and received and the calls that
  are made in the Ubuntu Touch platform.
@@ -82,11 +83,11 @@
  This package contains a QML plugin that provides data models to access the
  data stored by the history service.
 
-Package: libhistoryservice-dev
+Package: liblomirihistoryservice-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libhistoryservice0 (= ${binary:Version}),
+Depends: liblomirihistoryservice0 (= ${binary:Version}),
          ${misc:Depends},
 Description: History service to store messages and calls - development files
  A service to record the messages that are sent and received and the calls that
